Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

struggling with Userforms in 2.3.4


Go to End
Reply

16 Posts   3597 Views

Avatar
thepurpleblob

8 December 2009 at 3:24am Community Member, 28 Posts

I've tried running userforms (both the stable release and trunk) in v2.3.4 and have had no success. It seems to install ok and looks good in the cms. You can create the page type and get all that tabs. However, I am unable to add new new fields on the form tab. I select the field type and press Add. A message 'Error Adding Field' appears in the bottom of the screen for any type.

I am taling my logs but no errors or warning appear. I'm not sure if I should do something somewhere to 'turn up' debugging.

Any help appreciated.

Avatar
anujkryadav

14 December 2009 at 8:51pm Community Member, 30 Posts

I am facing the same issue,exactly same

Avatar
Willr

14 December 2009 at 9:30pm Forum Moderator, 5511 Posts

Put the site into devmode then using Firebug for firefox look at the error in the console tab. You should be able to view the full error message in the console.

If you cannot add fields make sure you have done a dev/build to rebuild the database.

Avatar
anujkryadav

14 December 2009 at 11:09pm Community Member, 30 Posts

Thank you Willr
after rebuilding the database my userform is working fine

Avatar
thepurpleblob

14 December 2009 at 11:11pm (Last edited: 14 December 2009 11:20pm), Community Member, 28 Posts

Not so easy for me.... I'd definitely rebuilt the database.

Now I'm having an even more frustrating time. The CMS doesn't work at all with Firebug open. Clicking on anything now does nothing. As soon as I close Firebug it's all happy again (except for Userforms).

EDIT:

Just noticed that I'm getting the following, which looks like it is located in Userforms code.... (note error message after line 196!)

items: 'li.EditableFormField',
191 placeholder: 'removed-form-field',
192 opacity: 0.6,
193 revert: true,
194 change : function (event, ui) {
195 $("#Fields_fields").sortable('refreshPositions');
196 },
********* $(this).sortable is not a function
197 update : function (event, ui) {
198 // get all the fields
199 var sort = 1;
200 $("li.EditableFormField").each(function() {
201 $(this).find(".sortHidden").val(sort++);
202 });

Avatar
Willr

15 December 2009 at 9:01am Forum Moderator, 5511 Posts

$(this).sortable is not a function

Would seem like ui.sortable.js isn't being included correctly? Can you check that that file is being included. One thing you could try (if its not being included) is check it exists - jsparty/jquery/ui/ui.sortable.js and try disable combined_files - which will happen in live mode by adding Requirements::set_combined_files_enabled(false); in your _config

Avatar
banal

15 December 2009 at 10:27am (Last edited: 15 December 2009 10:28am), Community Member, 901 Posts

I had the exact same issue while using userforms (trunk) with 2.3.4. However, the [url=http://svn.silverstripe.com/open/modules/userforms/trunk/README]readme[/url] in trunk states that it's compatible with 2.4.0+ only. I guess this is because it makes use of some jQuery libraries that were introduced with 2.4.

I checked out the 0.2 branch and it works fine.
svn co http://svn.silverstripe.com/open/modules/userforms/branches/0.2 userforms

Avatar
thepurpleblob

15 December 2009 at 6:41pm Community Member, 28 Posts

Ahhh... missed that ("if in doubt, read the instructions"). I'll back up to a version that "should work" and start again. Thanks!

Go to Top